Skip to content
Get started

Creates or updates product prices.

POST/api/v2/public/products/prices

Creates or updates product prices.

Body ParametersJSONExpand Collapse
body: optional array of object { price_id, product_number, country_code, 8 more }
price_id: string

Unique price identifier.

product_number: string

The product number this price applies to.

minLength1
country_code: optional string
price: optional number
formatdouble
price_group: optional string
price_quantity: optional number
formatdouble
price_type: optional number
formatint32
price_unit: optional string
store_number: optional string
valid_from: optional string
formatdate-time
valid_to: optional string
formatdate-time
ReturnsExpand Collapse
data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

success: optional boolean

Indicates whether the operation completed successfully.

Creates or updates product prices.

curl https://api.colleqtive.net/api/v2/public/products/prices \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "data": "12345",
  "message": "Record created successfully.",
  "success": true
}
Returns Examples
{
  "data": "12345",
  "message": "Record created successfully.",
  "success": true
}